QUOTACHECK(8) | System Manager's Manual | QUOTACHECK(8)

# NAME

`quotacheck` —
filesystem quota consistency checker

# SYNOPSIS

`quotacheck` | [`-gquv`] filesystem ...

`quotacheck` | [`-gquv`] [`-l` maxparallel] `-a`

# DESCRIPTION

`quotacheck` examines each filesystem, builds a table of current disk usage, and compares this table against that recorded in the disk quota file for the filesystem. If any inconsistencies are detected, both the quota file and the current system copy of the incorrect quotas are updated (the latter only occurs if an active filesystem is checked). By default both user and group quotas are checked.

Available options:

`-a`
  If the `-a` flag is supplied in place of any filesystem names, `quotacheck` will check all the filesystems indicated in /etc/fstab to be read-write with disk quotas. By default only the types of quotas listed in /etc/fstab are checked. See also `-l`.
`-g`
  Only group quotas listed in /etc/fstab are to be checked. See also `-u`.
`-l` maxparallel
  Limit the number of parallel checks to the number specified in the following argument. By default, the limit is the number of disks, running one process per disk. If a smaller limit is given, the disks are checked round-robin, one file system at a time. This option is only valid with `-a`.
`-q`
  `quotacheck` runs more quickly, particularly on systems with sparse user id usage, but fails to correct quotas for users [groups] not in the system user [group] database, and owning no files on the filesystem, if the quota file incorrectly believes that they do.
`-u`
  Only user quotas listed in /etc/fstab are to be checked. See also `-g`.
`-v`
  `quotacheck` is more verbose, and reports corrected discrepancies between the calculated and recorded disk quotas.

Specifying both `-g` and `-u` is equivalent to the default. Parallel passes are run on the filesystems required, using the pass numbers in /etc/fstab in an identical fashion to fsck(8).

Normally `quotacheck` operates silently.

`quotacheck` expects each filesystem to be checked to have a quota files named quota.user and quota.group which are located at the root of the associated file system. These defaults may be overridden in /etc/fstab. If a file is not present, `quotacheck` will create it.

`quotacheck` is normally run at boot time from the /etc/rc file, see rc(8), before enabling disk quotas with quotaon(8).

`quotacheck` accesses the raw device in calculating the actual disk usage for each user. Thus, the filesystems checked should be quiescent while `quotacheck` is running.

If `quotacheck` receives a `SIGINFO` signal (see the status argument for stty(1)), a line will be written to the standard error output indicating the name of the device currently being checked and progress information.

# FILES

quota.user
  at the filesystem root with user quotas
quota.group
  at the filesystem root with group quotas
/etc/fstab
  default filesystems

# SEE ALSO

quota(1), libquota(3), fstab(5), edquota(8), fsck(8), quotaon(8), repquota(8)

# HISTORY

The `quotacheck` command appeared in 4.2BSD.

January 5, 2004 | NetBSD 9.4